Page 1 of 5 123 ... LastLast
Results 1 to 10 of 48

Thread: KDE 4.2 Downgrade to 3.5

  1. #1

    Default KDE 4.2 Downgrade to 3.5

    I just installed 11.1 KDE4 replacing 11.0 KDE3.5. I must say I don't really like KDE4 and it seems buggy to me. Is it possible replace KDE4 with KDE3.5? How?

  2. #2
    Join Date
    Jun 2008
    Location
    Glasgow, Scotland
    Posts
    184

    Default Re: KDE 4.2 Downgrade to 3.5

    If you're using 11.1 and KDE 4.1.3, you should consider updating to KDE 4.2.4. It's worth a shot, as it's stable and fairly feature complete.

  3. #3

    Default Re: KDE 4.2 Downgrade to 3.5

    OK.

    I added repositories
    KDE:42Index of /repositories/KDE:/42/openSUSE_11.1
    openSUSE_11.1_KDE_42Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42

    but how do I install 4.2.4?

  4. #4
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,567
    Blog Entries
    1

    Default Re: KDE 4.2 Downgrade to 3.5

    Ok, now you have the required KDE 4.2 repos added, make sure you don't have any other conflicting repos. If you're not sure, check with

    zypper lr --details

    and post output.

    Otherwise, you can update from command line with

    zypper up

  5. #5
    Join Date
    Jun 2008
    Location
    Glasgow, Scotland
    Posts
    184

    Default Re: KDE 4.2 Downgrade to 3.5

    Yep, zypper dup is your best option. You need to be root first.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: KDE 4.2 Downgrade to 3.5

    KDE4.2.* (How To Add) Guide. - openSUSE Forums

    You will probably need to do an Unconditional Update rather than If Newer Available.

    But as said, your repo's, we could do with seeing them

    Code:
    zypper lr -d
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: KDE 4.2 Downgrade to 3.5

    ok here are the details of my repositories

    zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority| Type | URI | Service
    --+----------------------+-----------------------+---------+---------+----------+--------+--------------------------------------------------------------------------------------+--------
    1 | KDE:42 | KDE:42 | Yes | Yes | 99| rpm-md | Index of /repositories/KDE:/42/openSUSE_11.1 |
    2 | NVIDIA Repository | NVIDIA Repository | Yes | Yes | 99| rpm-md | http://download.nvidia.com/opensuse/11.1 |
    3 | devel:tools:building | devel:tools:building | Yes | Yes | 99| rpm-md | Index of /repositories/devel:/tools:/building/openSUSE_11.1 |
    4 | openSUSE_11.1_KDE_42 | openSUSE_11.1_KDE_42 | Yes | Yes | 99| rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_42 |
    5 | repo-debug | openSUSE-11.1-Debug | Yes | Yes | 100| yast2 | Index of /debug/distribution/11.1/repo/oss |
    6 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | No | 99| yast2 | Index of /distribution/11.1/repo/non-oss |
    7 | repo-oss | openSUSE-11.1-Oss | Yes | No | 99| yast2 | Index of /distribution/11.1/repo/oss |
    8 | repo-source | openSUSE-11.1-Source | Yes | Yes | 100| yast2 | Index of /source/distribution/11.1/repo/oss |
    9 | repo-update | openSUSE-11.1-Update | Yes | No | 99| rpm-md | Index of /update/11.1
    and heres what zypper up said.

    zypper up
    Loading repository data...
    Reading installed packages...

    The following packages are going to be upgraded:
    OpenOffice_org-icon-themes autoyast2-installation dbus-1-glib dbus-1-python
    dbus-1-qt3 dbus-1-x11 ifnteuro info2html licenses opensuse-codecs-installer
    pullin-fluendo-mp3 susehelp susehelp_de susehelp_en xalan-j2 xdg-utils yast2
    yast2-add-on yast2-irda yast2-kerberos-client yast2-ldap-client
    yast2-metapackage-handler yast2-nfs-client yast2-nfs-common yast2-ntp-client
    yast2-online-update yast2-online-update-frontend yast2-pam yast2-repair
    yast2-restore yast2-runlevel yast2-samba-client yast2-security yast2-sysconfig
    yast2-trans-de yast2-trans-stats yast2-tv yast2-x11 zd1211-firmware


    The following package is going to change vendor:
    pullin-fluendo-mp3


    Overall download size: 23.2 M. After the operation, additional 2.0 K will be used.
    Continue? [YES/no]: no
    I don't see any KDE 4.2.4 there?

  8. #8
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Re: KDE 4.2 Downgrade to 3.5

    zypper ref
    zypper up -r KDE:42 or zypper up -r 1

  9. #9

    Default Re: KDE 4.2 Downgrade to 3.5

    I tried the 1-click solution here KDE/KDE4 - openSUSE but I got a whole lot of conflict resolutions. How to respond to them?

  10. #10

    Default Re: KDE 4.2 Downgrade to 3.5

    I definitely haven't downloaded this package yet.

    zypper up -r KDE:42
    Loading repository data...
    Reading installed packages...
    Nothing to do.

Page 1 of 5 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •